You need Flash 5 or higher to view the nav